@import url("reset.css");
@import url("fonts.css");
@import url("lightbox/lightbox.css");

h1 { /* Main header */
	font-size: 3em;
}

h1 .thin {
	color: #10A0C4;
}

h2 { /* Section Headers */
	font-size: 2em;
	color: #10A0C4;
	border-bottom: 1px solid #e9e9e9;
	padding: 0 0 3px 0;
}

h3 { /* Portfolio Hover Titles */
	font-size: 1.7em;
	color: #10A0C4;
	padding: 0 0 0 3px;
}

h4 { /* Sub-Header for Section Headers */
	font-size: 1.5em;
	color: #10A0C4;
	border-bottom: 1px solid #e9e9e9;
	text-align: right;
	width: 200px;
	margin: 0 0 0 60px;
	float: left;
}

#wrapper { 
	margin: 0 auto;
	width: 960px;
}

#header {
	float: left;
	width: 960px;
	margin: 20px 0 0 0;
	padding: 20px 0 20px 0;
	border-top: 1px solid #e9e9e9;
	border-bottom: 1px solid #e9e9e9;
}

#navigation {
	float: left;
	width: 960px;
	margin: 10px 0 0 0;
}

#content { 
	float: left;
	width: 960px;
	margin: 10px 0 0 0;
}

#footer { 
	float: left;
	width: 960px;
	margin: 10px 0 0 0;
	padding: 0 0 10px 0;
	font-size: 0.8em;
	color: #7A7A7A;
}

#totop-wrap {
	position: fixed;
	bottom: 0;
	left: 0;
	width: 100%;
}

.clearfix:after {
    content: ".";
    display: block;
    height: 0;
    clear: both;
    visibility: hidden;
}

/***** NAVIGATION *****/
#navigation ul {
	height: 30px;
	text-align: right;
}

#navigation li {
	display: inline;
	margin: 0 0 0 10px;
	font-size: 1.7em;
}

#navigation a {
	display: inline-block;
	padding: 0 0 3px 0;
	border-bottom: 1px solid #e9e9e9;
	text-decoration: none;
	color: #333;
	-webkit-transition: none;
	-moz-transition: none;
	-o-transition: none;  
	transition: none;
}

#navigation a:hover {
	border-color: #10A0C4;
	/*color: #7A7A7A;*/
}

/***** CONTENT *****/
#portfolio, #posts, #about, #contact {
	margin: 0 0 50px 0;
}

.subCat { /* Sub-cat containers in main items */
	margin: 10px 0 0 0;
	float: left;
}

.subCatContent { /* Sub-cats in main items (Main content next to titles) */
	float: left;
	width: 680px;
	margin: 0 0 0 20px;
}

/*** posts ***/
.tweet {
	padding: 5px;
	line-height: 1.6em;
}

.oddItem {
	background-color: #EFEFEF;
}

/*** about me ***/
#myInfo p {
	padding: 0 5px 5px 5px;
	line-height: 1.6em;
}

.emP { /* emphasized paragraph */
	font-size: 1.2em;
}

#myInfo ul {
	margin: 0 0 5px 40px;
}

#myInfo li {
	padding: 5px 0 5px 0;
	list-style: circle;
}

#aboutSite p {
	padding: 0 5px 5px 5px;
	line-height: 1.6em;
}

/*** contact ***/
#otherPlaces li {
	padding: 5px;
	font-size: 1.1em;
	line-height: 1.6em;
}

#contactForm p {
	padding: 0 5px 5px 5px;
	line-height: 1.6em;	
}

input[type=text], textarea {
	display: block;
	padding: 5px;
	margin: 0 0 10px 0;
	border: 2px solid #e9e9e9;
}

#contactForm textarea {
	width: 300px;
	height: 60px;
}

input[type=button] {
	padding: 6px 10px;
	line-height: 1;
	color: #333;

	border: solid 1px rgb(153, 153, 153);
	text-shadow: 0px 1px 1px rgba(255,255,255,1);
	-webkit-border-radius: 2px 2px;
	-moz-border-radius: 2px 2px;
	background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#FFFFFF), to(#DDDDDD));
	background-image: -webkit-linear-gradient(#FFFFFF, #DDDDDD); 
	background-image: -moz-linear-gradient(#FFFFFF, #DDDDDD);
	background-image: -o-linear-gradient(#FFFFFF, #DDDDDD);
	filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0, startColorstr=#FFFFFF, endColorstr=#DDDDDD);
}
input[type=button]:hover {
	background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#F8F8F8), to(#DDDDDD));
	background-image: -webkit-linear-gradient(#F8F8F8, #DDDDDD);
	background-image: -moz-linear-gradient(#F8F8F8, #DDDDDD);
	background-image: -o-linear-gradient(#F8F8F8, #DDDDDD);
	filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0, startColorstr=#F8F8F8, endColorstr=#DDDDDD);
}
input[type=button]:active {
	background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#CCCCCC), to(#DDDDDD));
	background-image: -webkit-linear-gradient(#CCCCCC, #DDDDDD);
	background-image: -moz-linear-gradient(#CCCCCC, #DDDDDD);
	background-image: -o-linear-gradient(#CCCCCC, #DDDDDD);
	filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0, startColorstr=#CCCCCC, endColorstr=#DDDDDD);
}

#contactForm .idleField {
	color: #BEBEBE;
}

#contactForm .focusField {
	border: 2px solid #10A0C4;
	background-color: #bedae9;
}

#contactForm #emailError {
	margin: 5px 0 0 0;
	color: #C91842;
	font-weight: bold;
}

/***** FOOTER *****/
a.backtotop {
	float: right;
	display: block;
	width: 20px;
	height: 20px;
	margin: 0 20px 10px 0;
	font-size: 1.3em;
	border-bottom: none;
	
	text-align: center;
	text-decoration: none;
	color: #fff;
	
	background-color: #10A0C4;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
}
	
a.backtotop:hover {
	color: #000;
}

/***** SLIDING BOXES *****/
.boxgrid {
	position: relative;
	float: left;
	margin: 10px 15px 0 0;
	width: 300px;
	height: 225px;
	overflow: hidden;
	border: solid 5px #bedae9;
	color: #7A7A7A;
}

.boxgridHover {
	border: solid 5px #10A0C4;
}

.boxgrid img {
	position: absolute;
	top: 0;
	left: 0;
	border: 0;
}

.boxcaption {
	position: absolute;
	top: 187px;
	height: 300px;
	background: #000;
	width: 100%;
	opacity: .8;
	filter: alpha(opacity=80);
	-MS-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=80)";
}

.boxcaption p {
	padding: 2px 0 0 10px;
	margin: 0 0 5px 0;
}

.boxcaption .concept {
	padding: 0 10px 0 10px;
}


.boxcaption a {
	padding: 0 10px 0 10px;
	font-weight: bold;
	color: #fff;
	text-decoration: none;
	border-bottom: none;
}

.boxcaption a:hover {
	color: #7A7A7A;
}